PCAP_DUMP_FTELL(3PCAP)

NAME
pcap_dump_ftell, pcap_dump_ftell64 - get the current file offset for a savefile being written

SYNOPSIS
#include <pcap/pcap.h>

long pcap_dump_ftell(pcap_dumper_t *p);
int64_t pcap_dump_ftell64(pcap_dumper_t *p);

DESCRIPTION
pcap_dump_ftell() returns the current file position for the ``savefile'', representing the number of bytes written by pcap_dump_open(3PCAP) and pcap_dump(3PCAP). PCAP_ERROR is returned on error. If the current file position does not fit in a long, it will be truncated; this can happen on 32-bit UNIX-like systems with large file support and on Windows. pcap_dump_ftell64() returns the current file position in a int64_t, so if file offsets that don't fit in a long but that fit in a int64_t are supported, this will return the file offset without truncation. PCAP_ERROR is returned on error.

SEE ALSO
pcap(3PCAP)